<bugID>827405<Summary>Lazily "activate" download items when they become visible in the richlistbox area</Summary><Description>Discussed briefly with Mano and we came to the conclusion this is a good first step in the lazy direction before taking decision on bug 825846.
Regardless the fact we fix the widget performances or fake it by loading stuff in chunks, in both cases we need to avoid stat()ing thousands of files for nothing.</Description></bugID>